
# Class: DuplicateSurfacesCommand

A command that duplicates one surface to several other surfaces.

```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "duplicateSurfaces": [{
        "surfaceToDuplicateId": 0,
        "surfacesToChangeIds": [ 1 ]
    }]
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **DuplicateSurfacesCommand**

## Index

### Methods

* [execute](duplicatesurfacescommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [IDuplicateSurfacesCommandDefinition](../interfaces/iduplicatesurfacescommanddefinition.md)): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IDuplicateSurfacesCommandDefinition](../interfaces/iduplicatesurfacescommanddefinition.md) | Parameters for the command.  |

**Returns:** *Promise‹void›*
